<?php
session_start();

function adicionarAoCarrinho($produto) {
    $id = $produto['id'];
    if (!isset($_SESSION['carrinho'][$id])) {
        $_SESSION['carrinho'][$id] = $produto;
        $_SESSION['carrinho'][$id]['quantidade'] = 1;
    } else {
        $_SESSION['carrinho'][$id]['quantidade']++;
    }
}

function removerDoCarrinho($id) {
    if (isset($_SESSION['carrinho'][$id])) {
        unset($_SESSION['carrinho'][$id]);
    }
}

function limparCarrinho() {
    unset($_SESSION['carrinho']);
}

function listarCarrinho() {
    return isset($_SESSION['carrinho']) ? $_SESSION['carrinho'] : [];
}
?>